Bug 129672 - Timeout of user Session still results in null pointer error
Timeout of user Session still results in null pointer error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2004-08-11 14:53 EDT by Mike McCune
Modified: 2007-04-18 13:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-19 22:49:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2004-08-11 14:53:12 EDT
Bookmark a page specific to a User (for example:
http://localhost:8080/Addresses.do?uid=2266493) and let your session
timeout.

Then hit the URL again and you get:

[ServletException in:/WEB-INF/pages/addresses.jsp]
IllegalInvocationException calling aclOrgEntitlement
("org_entitlement(rhn_monitor)"): null'
Comment 1 Jesus M. Rodriguez 2004-08-19 18:26:12 EDT
The culprit is in the NavMenuTag.java file.  If the request attribute
"session" is null, we set the user to null.  Then we proceed to call
the AclGuard with a null user.  Bad idea.
Comment 2 Jesus M. Rodriguez 2004-08-19 22:46:43 EDT
Reassigning to jesusr
Comment 3 Jesus M. Rodriguez 2004-08-19 22:49:47 EDT
Fixed in Access.java.  Rather than fix the tag, I fixed the acl.  It
should return false if it can't access the user.

Note You need to log in before you can comment on or make changes to this bug.